{ config, lib, pkgs, modulesPath, ... }:

{
  imports = [
    #"${modulesPath}/profiles/base.nix"
    #"${modulesPath}/profiles/minimal.nix"
  ];

  nixpkgs.crossSystem = {
    system = "riscv64-linux";
  };

  networking.hostName = "nixos-riscv";

  # Enable ssh on boot
  services.openssh.enable = true;

  system.stateVersion = "24.05";

  services.getty.autologinUser = "test";

  users = {
    users.test = {
      password = "test";
      isNormalUser = true;
      extraGroups = [
        "wheel"
      ];
    };
  };

  #environment.systemPackages = with pkgs; [ vim gdb neofetch gcc bintools ];
}
